Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Connection_Sequence_Numbers Class Referenceabstract

`#include <tls_seq_numbers.h>`

Inheritance diagram for Botan::TLS::Connection_Sequence_Numbers:

## Public Member Functions
virtual bool | already_seen (uint64_t seq) const =0
virtual uint16_t | current_read_epoch () const =0
virtual uint16_t | current_write_epoch () const =0
virtual void | new_read_cipher_state ()=0
virtual void | new_write_cipher_state ()=0
virtual uint64_t | next_read_sequence ()=0
virtual uint64_t | next_write_sequence (uint16_t)=0
virtual void | read_accept (uint64_t seq)=0
virtual | ~Connection_Sequence_Numbers ()

## Detailed Description

Definition at line 17 of file tls_seq_numbers.h.

## Constructor & Destructor Documentation

virtual Botan::TLS::Connection_Sequence_Numbers::~Connection_Sequence_Numbers | ( |  | ) |
| inline virtual

Definition at line 20 of file tls_seq_numbers.h.

20 {}

## Member Function Documentation

virtual bool Botan::TLS::Connection_Sequence_Numbers::already_seen | ( | uint64_t | seq | ) | const
| pure virtual

Implemented in Botan::TLS::Datagram_Sequence_Numbers, and Botan::TLS::Stream_Sequence_Numbers.

virtual uint16_t Botan::TLS::Connection_Sequence_Numbers::current_read_epoch | ( |  | ) | const
| pure virtual

Implemented in Botan::TLS::Datagram_Sequence_Numbers, and Botan::TLS::Stream_Sequence_Numbers.

Referenced by Botan::TLS::Channel::change_cipher_spec_reader().

virtual uint16_t Botan::TLS::Connection_Sequence_Numbers::current_write_epoch | ( |  | ) | const
| pure virtual

Implemented in Botan::TLS::Datagram_Sequence_Numbers, and Botan::TLS::Stream_Sequence_Numbers.

Referenced by Botan::TLS::Channel::activate_session(), Botan::TLS::Channel::change_cipher_spec_writer(), and Botan::TLS::Datagram_Handshake_IO::send().

virtual void Botan::TLS::Connection_Sequence_Numbers::new_read_cipher_state | ( |  | ) |
| pure virtual

Implemented in Botan::TLS::Datagram_Sequence_Numbers, and Botan::TLS::Stream_Sequence_Numbers.

Referenced by Botan::TLS::Channel::change_cipher_spec_reader().

virtual void Botan::TLS::Connection_Sequence_Numbers::new_write_cipher_state | ( |  | ) |
| pure virtual

Implemented in Botan::TLS::Datagram_Sequence_Numbers, and Botan::TLS::Stream_Sequence_Numbers.

Referenced by Botan::TLS::Channel::change_cipher_spec_writer().

virtual uint64_t Botan::TLS::Connection_Sequence_Numbers::next_read_sequence | ( |  | ) |
| pure virtual

Implemented in Botan::TLS::Datagram_Sequence_Numbers, and Botan::TLS::Stream_Sequence_Numbers.

virtual uint64_t Botan::TLS::Connection_Sequence_Numbers::next_write_sequence | ( | uint16_t |  | ) |
| pure virtual

Implemented in Botan::TLS::Datagram_Sequence_Numbers, and Botan::TLS::Stream_Sequence_Numbers.

virtual void Botan::TLS::Connection_Sequence_Numbers::read_accept | ( | uint64_t | seq | ) |
| pure virtual

Implemented in Botan::TLS::Datagram_Sequence_Numbers, and Botan::TLS::Stream_Sequence_Numbers.

The documentation for this class was generated from the following file:

- src/lib/tls/tls_seq_numbers.h